| GET | /api/v2/tax-declarations/vatpitbranch |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| PeriodType | form | PeriodType | No | |
| PeriodValue | form | int | No | |
| PeriodYear | form | int | No |
| Name | Value | |
|---|---|---|
| Monthly | 1 | enum_Monthly |
| Quarterly | 2 | enum_Quarterly |
| Yearly | 3 | enum_Yearly |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Data | form | List<TaxDeclarationVatPitBranchDto> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| BranchId | form | int? | No | |
| BranchCode | form | string | No | |
| BranchName | form | string | No | |
| IsBranchHO | form | bool | No | |
| TaxDeclarationVatPitDetailDtos | form | List<TaxDeclarationVatPitDetailDto> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | long | No | |
| TargetCode | form | string | No | |
| VatTaxRevenue | form | string | No | |
| VatTaxAmount | form | string | No | |
| PitTaxRevenue | form | string | No | |
| PitTaxAmount | form | string | No | |
| PitDeductionRevenue | form | string | No | |
| BusinessLineGroup | form | BusinessLineGroupType | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Data | form | List<TaxDeclarationVatPitBranchDto> | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /api/v2/tax-declarations/vatpitbranch HTTP/1.1 Host: api.pos365.vn Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Data:
[
{
BranchId: 0,
BranchCode: String,
BranchName: String,
IsBranchHO: False,
TaxDeclarationVatPitDetailDtos:
[
{
Id: 0,
TargetCode: String,
VatTaxRevenue: String,
VatTaxAmount: String,
PitTaxRevenue: String,
PitTaxAmount: String,
PitDeductionRevenue: String,
BusinessLineGroup: 0
}
]
}
]
}